﻿using Syncfusion.SfRotator.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace TestApp
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();
            getRotator();
        }

        private void getRotator()
        {

            SfRotator rotator = new SfRotator()
            {
                NavigationStripMode = NavigationStripMode.Dots,
                NavigationDelay = 2000,
                NavigationDirection = NavigationDirection.Horizontal,
                NavigationStripPosition = NavigationStripPosition.Bottom,
                EnableAutoPlay = true,
                EnableLooping = true,
                EnableSwiping = true,
                Margin = new Thickness(30, 10),
                VerticalOptions = LayoutOptions.Start,
                HorizontalOptions = LayoutOptions.Start,
                HeightRequest = 300,
                WidthRequest = 300

            };

       
            var cachedImage = new Image()
            {
                HorizontalOptions = LayoutOptions.Center,
                VerticalOptions = LayoutOptions.Center,
                WidthRequest = 300,
                HeightRequest = 300,
              
                Source = "imgNotAvailable.png"

            };

            SfRotatorItem rotatorItem = new SfRotatorItem();

            rotatorItem.ItemContent = cachedImage;
            rotator.DataSource.Add(rotatorItem);
     
            this.Content = rotator;
       
        }

    }
}
